package com.supwisdom.dlpay.api.service

import org.springframework.transaction.annotation.Propagation
import org.springframework.transaction.annotation.Transactional

interface ConsumePayService{
    @Transactional(propagation = Propagation.REQUIRED, rollbackFor = arrayOf(Exception::class))
    fun checkShopPaytype(shopaccno: String, paytype: String): Boolean

    @Transactional(propagation = Propagation.REQUIRED, rollbackFor = arrayOf(Exception::class))
    fun getPaytypeConfig(paytype: String, shopaccno: String, ignoreStatus: Boolean? = false): Map<String, String?>
}